Page MenuHomePhabricator

Remove Page Previews' `role=tooltip`
Closed, ResolvedPublic

Description

From our accessibility consultant we've received the feedback, that role=tooltip should only be used on static tooltip content.
If the content has actionable items, it should be using a different role, to expose the interactivity clearly.

WCAG 2.1 is not explicitly outspoken about it, but this discussion provides a clearer feedback on why it's not a good idea to have interactive elements or even ”complex structured content, as it's read out 'in a oner' by AT”.

Update 2019-05-29

Changed from “Evaluate” to “Remove” due to the findings in resources above.

We should remove role=tooltip. In current state the previews are not properly exposed to screen readers anyways, as there's no machine-readable clear connection between the calling link and the preview, see T220777.

Event Timeline

Volker_E created this task.May 19 2019, 1:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2019, 1:55 PM
Volker_E updated the task description. (Show Details)May 19 2019, 2:16 PM
Volker_E added a subscriber: Jdrewniak.

Change 513226 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Popups@master] Remove wrong ARIA role=tooltip from container

https://gerrit.wikimedia.org/r/513226

Volker_E renamed this task from Evaluate Page Previews' `role=tooltip` to Remove Page Previews' `role=tooltip` .May 29 2019, 10:22 PM
Volker_E updated the task description. (Show Details)

Change 513226 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Remove wrong ARIA role=tooltip from container

https://gerrit.wikimedia.org/r/513226

Volker_E closed this task as Resolved.May 30 2019, 4:33 PM
Volker_E claimed this task.
Volker_E triaged this task as Normal priority.
Volker_E removed a project: Patch-For-Review.